Debian Bug report logs - #549047
FTBFS with .UTF-8 locales: sed errors; build hangs

version graph

Package: magyarispell; Maintainer for magyarispell is Balint Reczey <balint@balintreczey.hu>;

Reported by: Rene Engelhard <rene@debian.org>

Date: Wed, 30 Sep 2009 14:45:04 UTC

Severity: serious

Found in version 0.99.4-1.1

Fixed in version magyarispell/0.99.4-1.3

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>:
Bug#549047; Package magyarispell. (Wed, 30 Sep 2009 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>. (Wed, 30 Sep 2009 14:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS with .UTF-8 locales: sed errors; build hangs
Date: Wed, 30 Sep 2009 16:34:53 +0200
Package: magyarispell
Version: 0.99.4-1.1
Severity: serious

Hi,

While preparing a NMU for myspell-hus neglected bugs I stumbled over
this:

(sid)rene@frodo:~/magyarispell-0.99.4$ debuild
 dpkg-buildpackage -rfakeroot -D -us -uc -i
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value: 
dpkg-buildpackage: set LDFLAGS to default value: 
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package magyarispell
dpkg-buildpackage: source version 0.99.4-1.2
dpkg-buildpackage: source changed by Rene Engelhard <rene@debian.org>
dpkg-buildpackage: host architecture amd64
 fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp 
# Here are commands to clean up after the build process.
/usr/bin/make clean
make[1]: Entering directory `/home/rene/magyarispell-0.99.4'
make[1]: Leaving directory `/home/rene/magyarispell-0.99.4'
rm -f hu_HU.*
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
 dpkg-source -i -b magyarispell-0.99.4
dpkg-source: info: using source format `1.0'
dpkg-source: info: building magyarispell using existing magyarispell_0.99.4.orig.tar.gz
dpkg-source: info: building magyarispell in magyarispell_0.99.4-1.2.diff.gz
dpkg-source: info: building magyarispell in magyarispell_0.99.4-1.2.dsc
 debian/rules build
dh_testdir
# Here are commands to compile the package.
#/usr/bin/make all
/usr/bin/make ispell myspell
make[1]: Entering directory `/home/rene/magyarispell-0.99.4'
===> magyar ispell alapsz�t�r (magyar4ispell.dict) el��ll�t�sa
==> sz�t�rak egybem�sol�sa
..........................................ok.
==> ig�b�l k�pzett alakok el��ll�t�sa
.................ok.
==> ig
....sed: -e kifejezés #1, karakter 20: Befejezetlen `s' parancs
..ok.
==> f�nevek
.....sed: -e kifejezés #1, karakter 14: Befejezetlen `s' parancs

[... hangs forever, needs ctrl-c ...]

(I tried with C which works, de_DE and hu_HU which work, and neither de_DE.UTF-8 nor
hu_HU.UTF-8 - what is shown above - do work)

Regards,

Rene

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>:
Bug#549047; Package magyarispell. (Wed, 30 Sep 2009 15:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to PÁSZTOR György <pasztor@linux.gyakg.u-szeged.hu>:
Extra info received and forwarded to list. Copy sent to PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>. (Wed, 30 Sep 2009 15:15:10 GMT) Full text and rfc822 format available.

Message #10 received at 549047@bugs.debian.org (full text, mbox):

From: PÁSZTOR György <pasztor@linux.gyakg.u-szeged.hu>
To: Rene Engelhard <rene@debian.org>, 549047@bugs.debian.org
Cc: RISKO Gergely <risko@fsn.hu>
Subject: Re: Bug#549047: FTBFS with .UTF-8 locales: sed errors; build hangs
Date: Wed, 30 Sep 2009 17:12:08 +0200
Hi!

"Rene Engelhard" <rene@debian.org> írta 2009-09-30 16:34-kor:
> (I tried with C which works, de_DE and hu_HU which work, and neither de_DE.UTF-8 nor
> hu_HU.UTF-8 - what is shown above - do work)
Maybe the problem is that, those files are in ISO-8859-2 (latin2) enc.
Can you try that?

BTW.: I don't have too much time to follow the updates of that package's
upstream, etc. So I planned to orphan that. (I didn't even have time for 
orphan it.)

Would you maintain it? If you have explicit questions about It I would
gladly help, but I don't have time for the... sorrounding work.
(Eg. build a package, test it, check my build environment, etc.)

Cheers,
gyu
-- -------[ Free Software ISOs - http://www.fsn.hu/?f=download ]------- --
PÁSZTOR György                          e-mail: pasztor@fsn.hu
Free Software Network (FSN.HU)     phone @work: +36 62 54 6666
URL: http://people.fsn.hu/~pasztor/      cell.: +3620 512 3335




Information forwarded to debian-bugs-dist@lists.debian.org, PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>:
Bug#549047; Package magyarispell. (Wed, 30 Sep 2009 19:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>. (Wed, 30 Sep 2009 19:57:13 GMT) Full text and rfc822 format available.

Message #15 received at 549047@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: PÁSZTOR György <pasztor@linux.gyakg.u-szeged.hu>
Cc: 549047@bugs.debian.org, RISKO Gergely <risko@fsn.hu>
Subject: Re: Bug#549047: FTBFS with .UTF-8 locales: sed errors; build hangs
Date: Wed, 30 Sep 2009 21:55:10 +0200
Hi,

On Wed, Sep 30, 2009 at 05:12:08PM +0200, PÁSZTOR György wrote:
> Would you maintain it? If you have explicit questions about It I would

No. (Alone because I don't speak any hungarian)

> gladly help, but I don't have time for the... sorrounding work.
> (Eg. build a package, test it, check my build environment, etc.)

Grüße/Regards,

Rene
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70




Information forwarded to debian-bugs-dist@lists.debian.org, PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>:
Bug#549047; Package magyarispell. (Fri, 22 Jan 2010 22:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>. (Fri, 22 Jan 2010 22:03:10 GMT) Full text and rfc822 format available.

Message #20 received at 549047@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 549047@bugs.debian.org
Subject: magyarispell: diff for NMU version 0.99.4-2.2
Date: Fri, 22 Jan 2010 23:01:31 +0100
[Message part 1 (text/plain, inline)]
tags 549047 + patch
thanks

Dear maintainer,

I think this bug was neglected too long; the workaround is quite easy:
build with LANG="C". I don't speak hungarian, though, so I don't know
whwther the .hash files are correct with this built too (.aff doesn't
differ)

IUf you want me to NMU I can upload..

Grüße/Regards,

Rene
[magyarispell-0.99.4-2.2-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>:
Bug#549047; Package magyarispell. (Tue, 16 Mar 2010 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>. (Tue, 16 Mar 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 549047@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 549047@bugs.debian.org
Subject: NMU upload to fix this bug
Date: Tue, 16 Mar 2010 17:19:23 +0700
[Message part 1 (text/plain, inline)]
Danke Sehr, Rene, for the patch. 

I used it in an NMU to fix this package. I also did a huge cleanup of
the packaging (probably the first time I bump debhelper compatibility
from 2 to 7!).

Patch attached.

-- 


[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Tue, 16 Mar 2010 10:36:07 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 10:36:07 GMT) Full text and rfc822 format available.

Message #30 received at 549047-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 549047-close@bugs.debian.org
Subject: Bug#549047: fixed in magyarispell 0.99.4-1.3
Date: Tue, 16 Mar 2010 10:32:26 +0000
Source: magyarispell
Source-Version: 0.99.4-1.3

We believe that the bug you reported is fixed in the latest version of
magyarispell, which is due to be installed in the Debian FTP archive:

ihungarian_0.99.4-1.3_i386.deb
  to main/m/magyarispell/ihungarian_0.99.4-1.3_i386.deb
magyarispell_0.99.4-1.3.diff.gz
  to main/m/magyarispell/magyarispell_0.99.4-1.3.diff.gz
magyarispell_0.99.4-1.3.dsc
  to main/m/magyarispell/magyarispell_0.99.4-1.3.dsc
myspell-hu_0.99.4-1.3_all.deb
  to main/m/magyarispell/myspell-hu_0.99.4-1.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated magyarispell package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 10:37:07 +0100
Source: magyarispell
Binary: ihungarian myspell-hu
Architecture: source all i386
Version: 0.99.4-1.3
Distribution: unstable
Urgency: low
Maintainer: PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 ihungarian - The Hungarian dictionary for ispell
 myspell-hu - Hungarian dictionary for myspell
Closes: 549047
Changes: 
 magyarispell (0.99.4-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * build with LANG=C to work around build failure (closes: #549047)
     Thanks to Rene Engelhard for the patch.
   * Various lintian housekeeping:
   * Bump debhelper compatibility from 2(!) to 7
   * As a consequence, replace "dh_clean -k" by "dh_prep"
   * Add proper copyright information to debian/copyright
   * While at it, move the information about the new upstream location to
     Homepage: in debian/control
   * Rephrase package descriptions to better fit current recommendations
     from the Developer's Reference
   * Drop dependency on "debconf | debconf-2.0" which is already handled
     by ${misc:Depends}
   * No longer ignore errors from make in debian/rules
   * Drop spellhtml.debhelper.log leftover file in debian/
Checksums-Sha1: 
 9a091eef424f0bd0945cea5db596b851255f843d 1108 magyarispell_0.99.4-1.3.dsc
 dc36d876b8491f6b3f9f7bd796024ca14cde7867 766039 magyarispell_0.99.4.orig.tar.gz
 b4480cc406e747dbd4b5e2414476f55727159260 4048 magyarispell_0.99.4-1.3.diff.gz
 821a79171bdc10e3c9af90f7a22f81f11019bb05 90400 myspell-hu_0.99.4-1.3_all.deb
 0cea22464f76d17a099d5ca57db07521d991ec46 2626884 ihungarian_0.99.4-1.3_i386.deb
Checksums-Sha256: 
 897b55640cc57a13a591a14339adcf1e2967bf409beff1672377cf82981397cf 1108 magyarispell_0.99.4-1.3.dsc
 481581402831d47116ec546daa8031f6c402a2d086ee7d91403b7baab6e7d03d 766039 magyarispell_0.99.4.orig.tar.gz
 011cfd888dc0a4a6717acf05f230ed6e67ce0713a46a7ce02b322145ea3a17f0 4048 magyarispell_0.99.4-1.3.diff.gz
 d117b779c8fdc2d1628cf8c589933935342b450c5a6bef7a8163df660e4c8ddb 90400 myspell-hu_0.99.4-1.3_all.deb
 f15a3e8c33cdd8ed091c2c82fe78234cd0ece3dbda7a481a704a304f7a46d145 2626884 ihungarian_0.99.4-1.3_i386.deb
Files: 
 ca30f124fc97fcfeac2310386825984e 1108 text optional magyarispell_0.99.4-1.3.dsc
 4783706cb8689fbe7aa72dad559ddf97 766039 text optional magyarispell_0.99.4.orig.tar.gz
 10e16aed6144fa0beaea9384d234ed0a 4048 text optional magyarispell_0.99.4-1.3.diff.gz
 6d60be70be0bc9b5b702f88715d80725 90400 text optional myspell-hu_0.99.4-1.3_all.deb
 e7138c3d57d8a69ee5b52032bd87c98b 2626884 text optional ihungarian_0.99.4-1.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLn1qh1OXtrMAUPS0RAh3/AKC+od9bj2uQj53qMxsdKI8Lda+CIgCfS42Z
lkRP39vFJalmhdScpqbbOjU=
=A3Ld
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:01:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:37:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.